﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_MAJORTYPE') 
 CREATE TABLE T_PMPM_MAJORTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FPLANTYPENAME VARCHAR(60) DEFAULT ' ' NOT NULL,
FPLANTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FISSYS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_MAJORTYPE_L') 
 CREATE TABLE T_PMPM_MAJORTYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_WORKHOURS') 
 CREATE TABLE T_PMPM_WORKHOURS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAFIELD BIGINT DEFAULT 0 NOT NULL,
FWORKDATE DATETIME,
FHOUR DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_WORKHOURS_L') 
 CREATE TABLE T_PMPM_WORKHOURS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPM_PROJWORKCALENDER' AND KSQL_COL_NAME IN ('FPROJECTORGID')) 
 ALTER TABLE T_PMPM_PROJWORKCALENDER ADD (FPROJECTORGID BIGINT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_PROJWORKCALENDER_L') 
 CREATE TABLE T_PMPM_PROJWORKCALENDER_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPM_CONTROLLEVEL_L' AND KSQL_COL_NAME IN ('FNAME')) 
 ALTER TABLE T_PMPM_CONTROLLEVEL_L ADD (FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_TASK') 
 CREATE TABLE T_PMPM_TASK (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FPRETASKID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(450) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FCONTROLLEVELID BIGINT DEFAULT 0 NOT NULL,
FMAJORTYPEID BIGINT DEFAULT 0 NOT NULL,
FTASKTYPEID BIGINT DEFAULT 0 NOT NULL,
FPLANSTARTTIME DATETIME,
FPLANENDTIME DATETIME,
FABSOLUTEDURATION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOGICAL VARCHAR(30) DEFAULT ' ' NOT NULL,
FRELATIVEDURATION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESPONSIBLEPERSONID BIGINT DEFAULT 0 NOT NULL,
FRESPONSIBLEDEPTID BIGINT DEFAULT 0 NOT NULL,
FPLANS VARCHAR(510) DEFAULT ' ' NOT NULL,
FSOURCETASKID BIGINT DEFAULT 0 NOT NULL,
FPRECHANGETASKID BIGINT DEFAULT 0 NOT NULL,
FSHARERID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT VARCHAR(510) DEFAULT ' ' NOT NULL,
FPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPLETIONSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FTASKSEQ BIGINT DEFAULT 0 NOT NULL,
FACHIEVEMENTNODE CHAR(1) DEFAULT '0' NOT NULL,
FREALENDTIME DATETIME,
FAIMFINISHTIME DATETIME,
FCOMPTIMEDEVIATION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESULTDOC VARCHAR(100) DEFAULT ' ' NOT NULL,
FVERSION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_TASK_COOPDEPT') 
 CREATE TABLE T_PMPM_TASK_COOPDEPT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_TASK_COOPER') 
 CREATE TABLE T_PMPM_TASK_COOPER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_TASK_L') 
 CREATE TABLE T_PMPM_TASK_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_TASKREFERATTDETAIL') 
 CREATE TABLE T_PMPM_TASKREFERATTDETAIL (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_TASKREFERENTRY') 
 CREATE TABLE T_PMPM_TASKREFERENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(510) DEFAULT ' ' NOT NULL,
FREFERDOCNAME VARCHAR(160) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_TASKRESULTENTRY') 
 CREATE TABLE T_PMPM_TASKRESULTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRESULTNAME VARCHAR(160) DEFAULT ' ' NOT NULL,
FFORCE CHAR(1) DEFAULT '0' NOT NULL,
FFREQUENCY VARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_DEPTPLAN') 
 CREATE TABLE T_PMPM_DEPTPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FPLANNINGCYCLE VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FVERSION VARCHAR(60) DEFAULT ' ' NOT NULL,
FSOURCEPLANID BIGINT DEFAULT 0 NOT NULL,
FPRECHANGEPLANID BIGINT DEFAULT 0 NOT NULL,
FTIMERANGE DATETIME,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FPLANSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_DEPTTASK') 
 CREATE TABLE T_PMPM_DEPTTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPM_table.sql **/
