﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_OPCRUXNODEENTRY') 
 CREATE TABLE T_PMPM_OPCRUXNODEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCRUXTASKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_OPDATADETAILENTRY') 
 CREATE TABLE T_PMPM_OPDATADETAILENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMAJORTYPEID BIGINT DEFAULT 0 NOT NULL,
FPLANEND BIGINT DEFAULT 0 NOT NULL,
FONTIMEEND BIGINT DEFAULT 0 NOT NULL,
FOVERTIMEEND BIGINT DEFAULT 0 NOT NULL,
FCOMPLETIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOVERTIMENOTEND BIGINT DEFAULT 0 NOT NULL,
FTOTALPLANEND BIGINT DEFAULT 0 NOT NULL,
FTOTALONTIMEEND BIGINT DEFAULT 0 NOT NULL,
FTOTALOVERTIMEEND BIGINT DEFAULT 0 NOT NULL,
FTOTALCOMPLETIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALOVERTIMENOTEND BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_OPERATIONALREPORT') 
 CREATE TABLE T_PMPM_OPERATIONALREPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FPROJECTSURVEY VARCHAR(510) DEFAULT ' ' NOT NULL,
FREPORTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FREPORTCYCLE DATETIME,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FLEFTPIEDATA VARCHAR(1000) DEFAULT ' ' NOT NULL,
FRIGHTPIEDATA VARCHAR(1000) DEFAULT ' ' NOT NULL,
FLEFTBARDATA VARCHAR(1000) DEFAULT ' ' NOT NULL,
FRIGHTBARDATA VARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_OPNEXTCYCTASKENTRY') 
 CREATE TABLE T_PMPM_OPNEXTCYCTASKENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNEXTCYCLETASKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_OPREPORTCL') 
 CREATE TABLE T_PMPM_OPREPORTCL (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_OPTHISCYCTASKENTRY') 
 CREATE TABLE T_PMPM_OPTHISCYCTASKENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTHISCYCLETASKID BIGINT DEFAULT 0 NOT NULL,
FREASON VARCHAR(2000) DEFAULT ' ' NOT NULL,
FINFLUENCE VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCORRECTIVEMEASURES VARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPM_OPPROGRESSENTRY') 
 CREATE TABLE T_PMPM_OPPROGRESSENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROGRESSDESC VARCHAR(2000) DEFAULT ' ' NOT NULL,
FMAJORTYPENAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPM_PROJECTPLANENTRY' AND KSQL_COL_NAME IN ('FCONTROLLEVELID')) 
 ALTER TABLE T_PMPM_PROJECTPLANENTRY ADD (FCONTROLLEVELID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPM_PROJECTPLANENTRY' AND KSQL_COL_NAME IN ('FSPECTYPEID')) 
 ALTER TABLE T_PMPM_PROJECTPLANENTRY ADD (FSPECTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPM_PROJECTPLANENTRY' AND KSQL_COL_NAME IN ('FTASKTYPEID')) 
 ALTER TABLE T_PMPM_PROJECTPLANENTRY ADD (FTASKTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPM_PROJECTPLANENTRY' AND KSQL_COL_NAME IN ('FPLANBEGINDATE')) 
 ALTER TABLE T_PMPM_PROJECTPLANENTRY ADD (FPLANBEGINDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPM_PROJECTPLANENTRY' AND KSQL_COL_NAME IN ('FPLANENDDATE')) 
 ALTER TABLE T_PMPM_PROJECTPLANENTRY ADD (FPLANENDDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPM_PROJECTPLANENTRY' AND KSQL_COL_NAME IN ('FAIMFINISHTIME')) 
 ALTER TABLE T_PMPM_PROJECTPLANENTRY ADD (FAIMFINISHTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPM_PROJECTPLANENTRY' AND KSQL_COL_NAME IN ('FDIRECTPERSONID')) 
 ALTER TABLE T_PMPM_PROJECTPLANENTRY ADD (FDIRECTPERSONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPM_PROJECTPLANENTRY' AND KSQL_COL_NAME IN ('FDIRECTORGID')) 
 ALTER TABLE T_PMPM_PROJECTPLANENTRY ADD (FDIRECTORGID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPM_table.sql **/
